
Redmine - Defect #19419

MinGW Ruby 2.2: NameError: uninitialized constant ActionView::Helpers::ActiveModelHelper

2015-03-19 09:01 - j j

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I'm setting up to my computer

I'm at Step 5 - Session store secret generation

when i type

bundle exec rake generate_secret_token

then error like:

rake aborted!

Name error: uninitialized constant ActionView::Helpers::ActionModeHelper

C:/Ruby22/redmine/config/application.rb:5:in '<top'

C:/Ruby22/redmine/Rakefile :5:in 'require'

C:/Ruby22/redmine/Rakefile :5:in '<top'

LoadError: cannot load such file -- actionpack-action_caching

C:/Ruby22/redmine/config/application.rb:5:in '<top'

C:/Ruby22/redmine/Rakefile :5:in 'require'

C:/Ruby22/redmine/Rakefile :5:in '<top'

<See full trace by running task with --trace>

You can see clearly in my attached file

Related issues:

Related to Redmine - Defect #19952: Redmine is in error with Fedora 22 Closed

Has duplicate Redmine - Defect #20285: Redmine installation is not working : ... Closed

Associated revisions

Revision 14542 - 2015-09-01 02:15 - Toshi MARUYAMA

Gemfile: remove loofah definition (#16962, #19419)

actionpack 4.2 depends on loofah.

History

#1 - 2015-03-19 10:15 - Toshi MARUYAMA

- Category deleted (Wiki)

#2 - 2015-03-19 10:17 - Toshi MARUYAMA

- Subject changed from Error when installing redmine to Mingw Ruby 2.2: NameError: uninitialized constant ActionView::Helpers::ActiveModelHelper

- Status changed from New to Confirmed

#3 - 2015-03-19 10:17 - Toshi MARUYAMA

$ ruby --version

ruby 2.2.1p85 (2015-02-26 revision 49769) [x64-mingw32]

#4 - 2015-03-19 10:38 - Toshi MARUYAMA

$ rake -T

rake aborted!

LoadError: cannot load such file -- nokogiri/nokogiri

c:/workdir/hg-workdir/REDMINE/all/config/application.rb:5:in `<top (required)>'

c:/workdir/hg-workdir/REDMINE/all/Rakefile:5:in `<top (required)>'

LoadError: cannot load such file -- nokogiri/2.2/nokogiri
c:/workdir/hg-workdir/REDMINE/all/config/application.rb:5:in `<top (required)>'

c:/workdir/hg-workdir/REDMINE/all/Rakefile:5:in `<top (required)>'

(See full trace by running task with --trace)

#5 - 2015-03-19 10:57 - Toshi MARUYAMA

I have created issue.

https://github.com/bundler/bundler/issues/3484

#6 - 2015-03-20 17:29 - Toshi MARUYAMA

- Subject changed from Mingw Ruby 2.2: NameError: uninitialized constant ActionView::Helpers::ActiveModelHelper to MinGW Ruby 2.2: NameError:

uninitialized constant ActionView::Helpers::ActiveModelHelper

It seems because nokogiri does not support MinGW Ruby 2.2.

https://github.com/sparklemotion/nokogiri/issues/1256

Depending:

actionpack (4.2.1) -> rails-html-sanitizer (~> 1.0, >= 1.0.1) -> loofah (~> 2.0) -> nokogiri (>= 1.5.9)

#7 - 2015-04-11 03:56 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Invalid

We cannot do anything.

I have updated RedmineInstall to ver. 235.

#8 - 2015-05-27 04:20 - Toshi MARUYAMA

- Related to Defect #19952: Redmine is in error with Fedora 22 added

#9 - 2015-05-27 04:24 - Toshi MARUYAMA

- Related to deleted (Defect #19952: Redmine is in error with Fedora 22)

#10 - 2015-05-27 04:24 - Toshi MARUYAMA

- Related to Defect #19952: Redmine is in error with Fedora 22 added

#11 - 2015-07-10 17:25 - Toshi MARUYAMA

- Has duplicate Defect #20285: Redmine installation is not working : NameError: uninitialized constant ActionView::Helpers::ActiveModelHelper added

#12 - 2015-10-28 12:35 - Toshi MARUYAMA

- Resolution changed from Invalid to Wont fix
